#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-mahjongg
Version		:	3.38.3
Release		:	14.4.0.0%{?dist}
Summary		:	GNOME Mahjongg game

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and CC-BY-SA
URL		:	https://wiki.gnome.org/Apps/Mhajong

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-meson.patch

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	gtk3+
BuildRequires	:	meson
BuildRequires	:	itstool
BuildRequires	:	vala
BuildRequires	:	pkgconfig(librsvg-2.0)

Requires	:	gtk3+
#-----------------------------------------------------------------------------
%description
Mahjongg is a simple pattern recognition game. You score points by
matching identical tiles.

#-----------------------------------------------------------------------------
%files	-f	 %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Mahjongg.gschema.xml
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/org.gnome.Mahjongg.*
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Mahjongg-symbolic.svg
%{_datadir}/metainfo/org.gnome.Mahjongg.appdata.xml
%{_mandir}/man6/%{name}.6.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

#=============================================================================
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=plain				\
	-D compile-schemas=disabled			\
	-D update-icon-cache=disabled			\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

%find_lang %{name} --with-gnome

#-----------------------------------------------------------------------------
%changelog

